Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2888133002: Modify list_system_health_stories to generate_system_health_csv (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by nednguyen
Modified:
2 months, 1 week ago
Reviewers:
perezju, charliea
CC:
chromium-reviews, telemetry-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Modify list_system_health_stories to generate_system_health_csv This CL also check in system_health_stories.csv file, which will be used to later replace https://bit.ly/csh-stories BUG=723636 Review-Url: https://codereview.chromium.org/2888133002 Cr-Commit-Position: refs/heads/master@{#473213} Committed: https://chromium.googlesource.com/chromium/src/+/b087b7731c2efa0c446d4b52ea0839487cce4e1d

Patch Set 1 #

Total comments: 11

Patch Set 2 : Address Juan's comments #

Total comments: 7

Patch Set 3 : Address Juan's nits #

Unified diffs Side-by-side diffs Delta from patch set Stats (+244 lines, -50 lines) Patch
A + tools/perf/generate_system_health_csv View 2 chunks +16 lines, -9 lines 0 comments Download
D tools/perf/list_system_health_stories View 1 chunk +0 lines, -38 lines 0 comments Download
M tools/perf/page_sets/system_health/background_stories.py View 1 2 2 chunks +4 lines, -1 line 0 comments Download
M tools/perf/page_sets/system_health/browsing_stories.py View 1 5 chunks +16 lines, -0 lines 0 comments Download
M tools/perf/page_sets/system_health/loading_stories.py View 1 6 chunks +9 lines, -0 lines 0 comments Download
M tools/perf/page_sets/system_health/long_running_stories.py View 1 1 chunk +9 lines, -0 lines 0 comments Download
M tools/perf/page_sets/system_health/media_stories.py View 1 3 chunks +3 lines, -0 lines 0 comments Download
M tools/perf/page_sets/system_health/multi_tab_stories.py View 1 1 chunk +1 line, -0 lines 0 comments Download
M tools/perf/page_sets/system_health/searching_stories.py View 1 2 2 chunks +8 lines, -2 lines 0 comments Download
M tools/perf/page_sets/system_health/system_health_story.py View 1 1 chunk +15 lines, -0 lines 0 comments Download
A tools/perf/system_health_stories.csv View 1 1 chunk +163 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 24 (12 generated)
nednguyen
2 months, 1 week ago (2017-05-17 13:27:15 UTC) #2
nednguyen(REVIEW IN OTHER ACC)
On 2017/05/17 13:27:15, nednguyen wrote: Ping
2 months, 1 week ago (2017-05-18 09:30:36 UTC) #4
perezju
https://codereview.chromium.org/2888133002/diff/1/tools/perf/generate_system_health_csv File tools/perf/generate_system_health_csv (right): https://codereview.chromium.org/2888133002/diff/1/tools/perf/generate_system_health_csv#newcode24 tools/perf/generate_system_health_csv:24: 'system_health_stories.csv') Do we really want to check in the ...
2 months, 1 week ago (2017-05-18 09:52:35 UTC) #5
nednguyen
https://codereview.chromium.org/2888133002/diff/1/tools/perf/generate_system_health_csv File tools/perf/generate_system_health_csv (right): https://codereview.chromium.org/2888133002/diff/1/tools/perf/generate_system_health_csv#newcode24 tools/perf/generate_system_health_csv:24: 'system_health_stories.csv') On 2017/05/18 09:52:35, perezju wrote: > Do we ...
2 months, 1 week ago (2017-05-18 14:02:58 UTC) #6
nednguyen
On 2017/05/18 14:02:58, nednguyen wrote: > https://codereview.chromium.org/2888133002/diff/1/tools/perf/generate_system_health_csv > File tools/perf/generate_system_health_csv (right): > > https://codereview.chromium.org/2888133002/diff/1/tools/perf/generate_system_health_csv#newcode24 > ...
2 months, 1 week ago (2017-05-18 14:03:55 UTC) #9
nednguyen
https://codereview.chromium.org/2888133002/diff/20001/tools/perf/generate_system_health_csv File tools/perf/generate_system_health_csv (right): https://codereview.chromium.org/2888133002/diff/20001/tools/perf/generate_system_health_csv#newcode40 tools/perf/generate_system_health_csv:40: csv_writer.writerow([s.name, p, s.GetStoryDescription()]) Will add: whether the story is ...
2 months, 1 week ago (2017-05-18 14:05:05 UTC) #10
nednguyen
On 2017/05/18 14:05:05, nednguyen wrote: > https://codereview.chromium.org/2888133002/diff/20001/tools/perf/generate_system_health_csv > File tools/perf/generate_system_health_csv (right): > > https://codereview.chromium.org/2888133002/diff/20001/tools/perf/generate_system_health_csv#newcode40 > ...
2 months, 1 week ago (2017-05-19 11:50:01 UTC) #15
perezju
https://codereview.chromium.org/2888133002/diff/1/tools/perf/page_sets/system_health/system_health_story.py File tools/perf/page_sets/system_health/system_health_story.py (right): https://codereview.chromium.org/2888133002/diff/1/tools/perf/page_sets/system_health/system_health_story.py#newcode92 tools/perf/page_sets/system_health/system_health_story.py:92: return cls.__doc__ On 2017/05/18 14:02:58, nednguyen wrote: > On ...
2 months, 1 week ago (2017-05-19 13:48:29 UTC) #16
perezju
On 2017/05/19 13:48:29, perezju wrote: > https://codereview.chromium.org/2888133002/diff/1/tools/perf/page_sets/system_health/system_health_story.py > File tools/perf/page_sets/system_health/system_health_story.py (right): > > https://codereview.chromium.org/2888133002/diff/1/tools/perf/page_sets/system_health/system_health_story.py#newcode92 > ...
2 months, 1 week ago (2017-05-19 14:51:42 UTC) #17
nednguyen
https://codereview.chromium.org/2888133002/diff/20001/tools/perf/page_sets/system_health/background_stories.py File tools/perf/page_sets/system_health/background_stories.py (right): https://codereview.chromium.org/2888133002/diff/20001/tools/perf/page_sets/system_health/background_stories.py#newcode29 tools/perf/page_sets/system_health/background_stories.py:29: return 'Load %s, then put the Chrome browser into ...
2 months, 1 week ago (2017-05-19 15:07:50 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2888133002/40001
2 months, 1 week ago (2017-05-19 15:08:14 UTC) #21
commit-bot: I haz the power
2 months, 1 week ago (2017-05-19 16:52:46 UTC) #24
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/b087b7731c2efa0c446d4b52ea08...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973